Debian Bug report logs - #487011
zaptel: FTBFS: ERROR: unsafe: include file: /etc/asciidoc/./javascripts/toc.js

version graph

Package: zaptel; Maintainer for zaptel is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 19 Jun 2008 08:42:17 UTC

Severity: serious

Found in version zaptel/1:1.4.10.1~dfsg-1

Fixed in version zaptel/1:1.4.11~dfsg-1

Done: Mark Purcell <msp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#487011; Package zaptel. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: zaptel: FTBFS: ERROR: unsafe: include file: /etc/asciidoc/./javascripts/toc.js
Date: Thu, 19 Jun 2008 10:32:28 +0200
Package: zaptel
Version: 1:1.4.10.1~dfsg-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080619 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on
i386.

Relevant part:
> ar cru libhexfile.a hexfile.o
> ranlib libhexfile.a
> cc -g -Wall  -D_GNU_SOURCE	   -c -o fpga_load.o fpga_load.c
> cc -L. -o fpga_load fpga_load.o  -lhexfile -lusb
> cc -g -Wall  -ansi -pedantic -std=c99 -c test_parse.c
> cc -L. -o test_parse test_parse.o  -lhexfile -lusb
> pod2man --section 8 zt_registration > zt_registration.8 || rm -f zt_registration.8
> pod2man --section 8 xpp_sync > xpp_sync.8 || rm -f xpp_sync.8
> pod2man --section 8 lszaptel > lszaptel.8 || rm -f lszaptel.8
> pod2man --section 8 xpp_blink > xpp_blink.8 || rm -f xpp_blink.8
> pod2man --section 8 zapconf > zapconf.8 || rm -f zapconf.8
> pod2man --section 8 zaptel_hardware > zaptel_hardware.8 || rm -f zaptel_hardware.8
> make[2]: Leaving directory `/build/user-zaptel_1.4.10.1~dfsg-1-amd64-DY3i4k/zaptel-1.4.10.1~dfsg-1/kernel/xpp/utils'
> perl -n -e \
> 		'if (/^#($|\s)(.*)/){ if (!$in_doc){print "\n"}; $in_doc=1; print "$2\n" } else { if ($in_doc){print "\n"}; $in_doc=0; print "  $_" }' \
> 		zaptel.conf.sample >zaptel.conf.asciidoc
> asciidoc -n -a toc -a toclevels=3 README
> ERROR: unsafe: include file: /etc/asciidoc/./javascripts/toc.js
> make[1]: *** [README.html] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2008/06/19

This rebuild was done with gcc 4.3 instead of gcc 4.2, because gcc 4.3
is now the default on most architectures (even if it's not the case on
i386 yet).  Consequently, many failures are caused by the switch to gcc
4.3.
If you determine that this failure is caused by gcc 4.3, feel free to
downgrade this bug to 'important' if your package is only built on i386,
and this bug is specific to gcc 4.3 (i.e the package builds fine with
gcc 4.2).

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#487011; Package zaptel. Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 487011@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 487011@bugs.debian.org
Subject: Re: Bug#487011: zaptel: FTBFS: ERROR: unsafe: include file: /etc/asciidoc/./javascripts/toc.js
Date: Thu, 19 Jun 2008 12:50:14 +0300
On Thu, Jun 19, 2008 at 10:32:28AM +0200, Lucas Nussbaum wrote:
> Package: zaptel
> Version: 1:1.4.10.1~dfsg-1
> Severity: serious
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20080619 qa-ftbfs
> Justification: FTBFS on i386
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build on
> i386.
> 
> Relevant part:
> > ar cru libhexfile.a hexfile.o
> > ranlib libhexfile.a
> > cc -g -Wall  -D_GNU_SOURCE	   -c -o fpga_load.o fpga_load.c
> > cc -L. -o fpga_load fpga_load.o  -lhexfile -lusb
> > cc -g -Wall  -ansi -pedantic -std=c99 -c test_parse.c
> > cc -L. -o test_parse test_parse.o  -lhexfile -lusb
> > pod2man --section 8 zt_registration > zt_registration.8 || rm -f zt_registration.8
> > pod2man --section 8 xpp_sync > xpp_sync.8 || rm -f xpp_sync.8
> > pod2man --section 8 lszaptel > lszaptel.8 || rm -f lszaptel.8
> > pod2man --section 8 xpp_blink > xpp_blink.8 || rm -f xpp_blink.8
> > pod2man --section 8 zapconf > zapconf.8 || rm -f zapconf.8
> > pod2man --section 8 zaptel_hardware > zaptel_hardware.8 || rm -f zaptel_hardware.8
> > make[2]: Leaving directory `/build/user-zaptel_1.4.10.1~dfsg-1-amd64-DY3i4k/zaptel-1.4.10.1~dfsg-1/kernel/xpp/utils'
> > perl -n -e \
> > 		'if (/^#($|\s)(.*)/){ if (!$in_doc){print "\n"}; $in_doc=1; print "$2\n" } else { if ($in_doc){print "\n"}; $in_doc=0; print "  $_" }' \
> > 		zaptel.conf.sample >zaptel.conf.asciidoc
> > asciidoc -n -a toc -a toclevels=3 README
> > ERROR: unsafe: include file: /etc/asciidoc/./javascripts/toc.js
> > make[1]: *** [README.html] Error 1

Seems to be new with asciidoc 8.2.6 (and does not happen with asciidoc
8.2.5).

> 
> The full build log is available from:
>    http://people.debian.org/~lucas/logs/2008/06/19
> 
> This rebuild was done with gcc 4.3 instead of gcc 4.2, because gcc 4.3
> is now the default on most architectures (even if it's not the case on
> i386 yet).  Consequently, many failures are caused by the switch to gcc
> 4.3.
> If you determine that this failure is caused by gcc 4.3, feel free to
> downgrade this bug to 'important' if your package is only built on i386,
> and this bug is specific to gcc 4.3 (i.e the package builds fine with
> gcc 4.2).
> 
> A list of current common problems and possible solutions is available at 
> http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!
> 
> About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
> of the Grid'5000 platform, using a clean chroot containing a sid i386
> environment.  Internet was not accessible from the build systems.
> 
> -- 
> | Lucas Nussbaum
> | lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
> | jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
> 
> 
> 
> _______________________________________________
> Pkg-voip-maintainers mailing list
> Pkg-voip-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-voip-maintainers

-- 
               Tzafrir Cohen
icq#16849755              jabber:tzafrir.cohen@xorcom.com
+972-50-7952406           mailto:tzafrir.cohen@xorcom.com
http://www.xorcom.com  iax:guest@local.xorcom.com/tzafrir




Bug 487011 cloned as bug 487962. Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. (Wed, 25 Jun 2008 12:57:01 GMT) Full text and rfc822 format available.

Blocking bugs of 487011 added: 487962 Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. (Wed, 25 Jun 2008 12:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#487011; Package zaptel. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #19 received at 487011@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 487011@bugs.debian.org
Subject: bug#487011 entirely fixed by the bug#487962 fix
Date: Sun, 29 Jun 2008 02:01:33 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I can confirm that zaptel does build from source if asciidoc is updated
to 8.2.6-1.1, so this bug can be downgraded or even closed when
8.2.6-1.1 migrates.

    Simon
-----BEGIN PGP SIGNATURE-----

iD8DBQFIZt7jWSc8zVUw7HYRAs8HAKCLR22g6889d2JSVehkXxBhIbMplwCgj2fa
MvKHYwW751MnPCnYpkIPgI4=
=2EAq
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#487011; Package zaptel. Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #24 received at 487011@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: control@bugs.debian.org
Cc: 487011@bugs.debian.org
Subject: setting package to zaptel-source libtonezone1 libtonezone-dev zaptel, tagging 487011
Date: Sun, 29 Jun 2008 23:04:02 +1000
# Automatically generated email from bts, devscripts version 2.10.30
# via tagpending 
#
# zaptel (1:1.4.11~dfsg-1) UNRELEASED; urgency=low
#
#  * Build-Depends: asciidoc (>= 8.2.6-1.1)
#    - asciidoc 8.2.6-1 is broken
#    - FTBFS: ERROR: unsafe: include file:
#    /etc/asciidoc/./javascripts/toc.js (Closes: #487011)
#

package zaptel-source libtonezone1 libtonezone-dev zaptel
tags 487011 + pending





Tags added: pending Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. (Sun, 29 Jun 2008 13:06:03 GMT) Full text and rfc822 format available.

Reply sent to Mark Purcell <msp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 487011-close@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: 487011-close@bugs.debian.org
Subject: Bug#487011: fixed in zaptel 1:1.4.11~dfsg-1
Date: Mon, 30 Jun 2008 11:02:14 +0000
Source: zaptel
Source-Version: 1:1.4.11~dfsg-1

We believe that the bug you reported is fixed in the latest version of
zaptel, which is due to be installed in the Debian FTP archive:

libtonezone-dev_1.4.11~dfsg-1_powerpc.deb
  to pool/main/z/zaptel/libtonezone-dev_1.4.11~dfsg-1_powerpc.deb
libtonezone1_1.4.11~dfsg-1_powerpc.deb
  to pool/main/z/zaptel/libtonezone1_1.4.11~dfsg-1_powerpc.deb
zaptel-source_1.4.11~dfsg-1_all.deb
  to pool/main/z/zaptel/zaptel-source_1.4.11~dfsg-1_all.deb
zaptel_1.4.11~dfsg-1.diff.gz
  to pool/main/z/zaptel/zaptel_1.4.11~dfsg-1.diff.gz
zaptel_1.4.11~dfsg-1.dsc
  to pool/main/z/zaptel/zaptel_1.4.11~dfsg-1.dsc
zaptel_1.4.11~dfsg-1_powerpc.deb
  to pool/main/z/zaptel/zaptel_1.4.11~dfsg-1_powerpc.deb
zaptel_1.4.11~dfsg.orig.tar.gz
  to pool/main/z/zaptel/zaptel_1.4.11~dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 487011@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Purcell <msp@debian.org> (supplier of updated zaptel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 30 Jun 2008 20:22:37 +1000
Source: zaptel
Binary: zaptel libtonezone1 libtonezone-dev zaptel-source
Architecture: source all powerpc
Version: 1:1.4.11~dfsg-1
Distribution: unstable
Urgency: medium
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Mark Purcell <msp@debian.org>
Description: 
 libtonezone-dev - tonezone library (development)
 libtonezone1 - tonezone library (runtime)
 zaptel     - zapata telephony utilities
 zaptel-source - Zapata telephony interface (source code for kernel driver)
Closes: 487011 488513
Changes: 
 zaptel (1:1.4.11~dfsg-1) unstable; urgency=medium
 .
   [ Faidon Liambotis ]
   * Update qozap from bristuff-0.4.0-RC1.
     - fixed duoBRI miniPCI detection in qozap.
     - added support for PCIe variants of duoBRI and quadBRI.
   * Update cwain from bristuff-0.4.0-RC1.
   * Update ztgsm from bristuff-0.4.0-RC1.
     - reduced baudrate (serial interface to gsm modules) to be more robust
       against irq misses in loaded systems
     - improved serial debug output
     - added module parameter "baudrate" (the default is 19200)
     - added AT commands for SIM card selection
     - added AT commands for shutting down/starting GSM modules
 .
   [ Tzafrir Cohen ]
   * New upstream release.
   * Patch xpp_fix_t1 dropped: merged upstream.
   * Finally removing 00list.
   * Patch sigcap_dacs: tell zaphfc and vzaphfc to report support for
     ZT_SIG_DACS. Makes ztscan report then as digital spans.
   * Patch bri_dchan: change ZT_FLAG_BRIDCHAN as ZT_FLAG_MTP2 is also
     defined to be 19 as of zaptel 1.4.11 .
   * Patch chan_release_check: fixes a regression from 1.4.10.1 that causes
     a panic if disconnecting an Astribank device with a channel still open.
   * Patch florz-vmalloc: proper includes for zaphfc on non-x86 platforms.
     (Closes: #488513)
   * oslec_wrap.c: cycles code for powerpc by Stelios Koroneos.
   * And dummy cycles code for other architectures.
 .
   [ Mark Purcell ]
   * Build-Depends: asciidoc (>= 8.2.6-1.1)
     - asciidoc 8.2.6-1 is broken
     - FTBFS: ERROR: unsafe: include file:
     /etc/asciidoc/./javascripts/toc.js (Closes: #487011)
   * Urgency medium as we fix RC bug
Checksums-Sha1: 
 9c16b45e1d6c1c808e51fe2b205f6a1d28e0c28e 1429 zaptel_1.4.11~dfsg-1.dsc
 ab56050722eaa074ddbbde7bc9f37578af847d9d 1437854 zaptel_1.4.11~dfsg.orig.tar.gz
 0c52c2ad2d9d41cccbcd4c0058394654922595de 185884 zaptel_1.4.11~dfsg-1.diff.gz
 2c9bb9bacf8a9d2f402001e5468961db3669b25d 1176238 zaptel-source_1.4.11~dfsg-1_all.deb
 e9a18a89e432cc4aab853c2b9fb8e76cc5796c67 311714 zaptel_1.4.11~dfsg-1_powerpc.deb
 953a914537e82db49f8b3db6adc5fae91657933c 75000 libtonezone1_1.4.11~dfsg-1_powerpc.deb
 03436a5b082ef995fb7c221c88d1f4df10bf5cee 73718 libtonezone-dev_1.4.11~dfsg-1_powerpc.deb
Checksums-Sha256: 
 a94f4124d73ca784c15944f5e97afd3bba34125f9d7f3570932428f09343b95e 1429 zaptel_1.4.11~dfsg-1.dsc
 36a65ef5bed510fca1dd33d21c05d08c1ae93bdc6903745915c7501603faacb7 1437854 zaptel_1.4.11~dfsg.orig.tar.gz
 77da08c86e7eba7f6c47c9fcd57de83276b685536c6c8ac6ae4985567c47c521 185884 zaptel_1.4.11~dfsg-1.diff.gz
 8147a03a22ec5fa058d03a5b5f3c8750df5dd2a6097cde4263b661a29b0511d6 1176238 zaptel-source_1.4.11~dfsg-1_all.deb
 53d130f41ad985542e4997666ef9e853ad61c2d968968a615a63a830e7cc9686 311714 zaptel_1.4.11~dfsg-1_powerpc.deb
 fb118e80cb5c6e2d74f62592f26613670d2982a89fe7b8291d1415d9108eac12 75000 libtonezone1_1.4.11~dfsg-1_powerpc.deb
 f9cb59e2046727d1ceb42dd23e480b6b081771b89d069c051290b54b433175c5 73718 libtonezone-dev_1.4.11~dfsg-1_powerpc.deb
Files: 
 ec89a33b5de50754009a6e8ef78a8364 1429 comm optional zaptel_1.4.11~dfsg-1.dsc
 4268f26f9c6799b9939b8d4cd06d60f6 1437854 comm optional zaptel_1.4.11~dfsg.orig.tar.gz
 b2609ac28d6f31e9d1a83f948b79c4c9 185884 comm optional zaptel_1.4.11~dfsg-1.diff.gz
 3549af53a14069bd1309fe6a97a37a38 1176238 devel optional zaptel-source_1.4.11~dfsg-1_all.deb
 939a094db53985a9393bbd0ccaf61077 311714 comm optional zaptel_1.4.11~dfsg-1_powerpc.deb
 1fb2905fec725bbbe9ef8c48a079025a 75000 libs optional libtonezone1_1.4.11~dfsg-1_powerpc.deb
 808584ea615ba3daf134d3c0349358c1 73718 libdevel optional libtonezone-dev_1.4.11~dfsg-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEUEARECAAYFAkhotMQACgkQoCzanz0IthLoAgCghQMtxquDiU9InkrNZUF8JKgU
3KAAlizs+/U6sIoYwKlWKJrTbwSE0qI=
=fQD3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Aug 2008 07:27:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:23:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.